Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class CmMailConnectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.StubException
                          com.compoze.collab.beacm.CmMailConnectException

All Implemented Interfaces
  Serializable

    public class CmMailConnectException

extends StubException

The `CmMailConnectException` class is used to encapsulate Javamail connect exceptions.

See Also
  Serialized Form

Constructor Summary
`CmMailConnectException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmMailConnectException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`
`CmMailConnectException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmMailConnectException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmMailConnectException

    public CmMailConnectException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  Object param)

### CmMailConnectException

    public CmMailConnectException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

### CmMailConnectException

    public CmMailConnectException(Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  Object param)

### CmMailConnectException

    public CmMailConnectException(Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved